Loading...
Searching...
No Matches
{he,sy}ev: eig, QR iteration
LAPACK » Hermitian/symmetric eigenvalues » Standard eig driver, AV = VΛ
Collaboration diagram for {he,sy}ev: eig, QR iteration:

## Functions

subroutine | cheev (jobz, uplo, n, a, lda, w, work, lwork, rwork, info)
| CHEEV computes the eigenvalues and, optionally, the left and/or right eigenvectors for HE matrices
subroutine | dsyev (jobz, uplo, n, a, lda, w, work, lwork, info)
| DSYEV computes the eigenvalues and, optionally, the left and/or right eigenvectors for SY matrices
subroutine | ssyev (jobz, uplo, n, a, lda, w, work, lwork, info)
| SSYEV computes the eigenvalues and, optionally, the left and/or right eigenvectors for SY matrices
subroutine | zheev (jobz, uplo, n, a, lda, w, work, lwork, rwork, info)
| ZHEEV computes the eigenvalues and, optionally, the left and/or right eigenvectors for HE matrices

## Detailed Description